Search
curl --request GET \
--url https://api.sociavault.com/v1/scrape/facebook-marketplace/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/facebook-marketplace/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/facebook-marketplace/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"listings": {
"0": {
"id": "1278061654412635",
"url": "https://www.facebook.com/marketplace/item/1278061654412635/",
"title": "Formal shoes",
"price": {
"formatted_amount": "£5",
"amount_with_offset_in_currency": 664,
"amount": 5
},
"strikethrough_price": null,
"location": {
"city": "London",
"state": "",
"display_name": "London, United Kingdom",
"city_page_id": "106078429431815"
},
"primary_photo": {
"id": "1889521335087397",
"url": "https://scontent-bos5-1.xx.fbcdn.net/v/t39.84726-6/699132406_1889521345087396_1900687902739816956_n.jpg?stp=c0.152.261.261a_dst-jpg_p261x260_tt6&_nc_cat=100&ccb=1-7&_nc_sid=92e707&_nc_ohc=NWY0ouwhkyQQ7kNvwGI0BWd&_nc_oc=Adq9qpn3lo9d2KMtr2t-D6lxjK1AyLgoHfU65OWizxABrY-S_cKglWICAZ7b0ovFy38&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=6EURlaJdwNM2kdycJisnRQ&_nc_ss=7e289&oh=00_Af6kELa3QVtHFxpoUtifE35b25rO0uUhdH9SGWZTFmK38Q&oe=6A0E0F17"
},
"category_id": "931157863635831",
"is_hidden": false,
"is_live": true,
"is_pending": false,
"is_sold": false,
"is_viewer_seller": false,
"delivery_types": {
"0": "IN_PERSON"
},
"story_type": "POST",
"story_key": "27606522242281795"
},
"1": {
"id": "1007407098904810",
"url": "https://www.facebook.com/marketplace/item/1007407098904810/",
"title": "Brand New Shoes",
"price": {
"formatted_amount": "£50",
"amount_with_offset_in_currency": 6635,
"amount": 50
},
"strikethrough_price": {
"formatted_amount": "£150",
"amount": "150.00"
},
"location": {
"city": "Ramsgate",
"state": "",
"display_name": "Ramsgate",
"city_page_id": "109305879096299"
},
"primary_photo": {
"id": "2002571970350599",
"url": "https://scontent-bos5-1.xx.fbcdn.net/v/t39.84726-6/687423731_2002571990350597_2633826128463830451_n.jpg?stp=c2.0.260.260a_dst-jpg_p261x260_tt6&_nc_cat=110&ccb=1-7&_nc_sid=92e707&_nc_ohc=0jZJ-bEvR7MQ7kNvwGaYZfs&_nc_oc=Adqw78SK-QX0EP47cS61vx7hLgHC-dRgCLKSzVI4O-Xu1J0x3jSpTQ-LAlib2BBEkp8&_nc_zt=14&_nc_ht=scontent-bos5-1.xx&_nc_gid=6EURlaJdwNM2kdycJisnRQ&_nc_ss=7e289&oh=00_Af7m_GN1ztl94aNh6myqlCX2OyhX05GSZt80J7hOK8gTyw&oe=6A0E241A"
},
"category_id": "931157863635831",
"is_hidden": false,
"is_live": true,
"is_pending": false,
"is_sold": false,
"is_viewer_seller": false,
"delivery_types": {
"0": "IN_PERSON"
},
"story_type": "POST",
"story_key": "26023461383999344"
}
},
"cursor": "eyJwZyI6MCwiYjJjIjp7ImJyIjoiIiwiaXQiOjAsImhtc3IiOmZhbHNlLCJ0YmkiOjB9LCJjMmMiOnsiYnIiOiJBYnJmZHBFOTA4eEtJczVGR09oRDg4NWpfMldFdUpsdXUtU2Z5dVd5M1FSTVN6TVRnbHR6MkxqbEFGOVF1YVlQZFdkNzMxQWg0OWd4d3VseWhULXgzSG5SSGNBUWkxVWZ0QTNHZDR5Nm5JbmhRb3pSNGNyU3JuRHpyamNGVjlZWGp2czd0RjdiVExIWFhqazV2SU5XX3VDbXEzZ09SSVVLb1ZGMHNmWVdab2NIZXlUbzRYX1JWSXV0NVFGb2xqYWhjN3Jyd3VOdHExSFNEaXd2OWJ1aVhURzhQcjBFcVRjZG5zNUt0X0pSTEprNWgxN20zX2g3UDluemlVaVVSVlBCWVkxR2RBNXNtVDNrSG5EX1Q3bzBEejVhTnlERThZVkxZQkhjcGw0YndPeHl3ako0R044VjlDM1NsU2ZuZjI1cktYdFVKR0RrT3BoSXNFOWhJeWUyYXZ0ZV8yTTlQaUJsRFd3aWVwWS1OeEl1RFhlNFJIVzBudVFxRTF5dURfSnkxT1NZZXRySS1ZN1prZnBTV2lSajlja1I5a1NPbW5SRUFtN2g1c2RXTENvZHZndE53ejdMbWJRbHh3VmpSejBHNDNvODlJUng2dmxoNmtDcnVRZi0xdEVrbFFQRFVKMmVRT3VoUV9nUlRHY2JHdmRPSmsyVGtTU0s5dDRUekdzdUh3M2FuT1V5NzlnTmpLQnN3S0JHQzlaelVDM0NKem55QVg0alQ4UVRHUzZtV3NnX0tIQ1Bma3RoQXdyS3VHeEFvTTQiLCJpdCI6MCwicnBiciI6IiIsInJwaHIiOmZhbHNlLCJybWhyIjpmYWxzZSwic3NpIjpmYWxzZSwic3NjbyI6MCwic3NwaSI6W119LCJpcnIiOmZhbHNlLCJzZXJwX2N0YSI6ZmFsc2UsInJ1aSI6W10sIm1waWQiOltdLCJ1YnAiOm51bGwsIm5jcm5kIjowLCJpcnNyIjpmYWxzZSwiYm1wciI6W10sImJtcGVpZCI6W10sIm5tYm1wIjpmYWxzZSwic2tyciI6ZmFsc2UsImlvb3VyIjpmYWxzZSwiaXNlIjpmYWxzZSwic21zX2N1cnNvciI6eyJwYWdlX2luZGV4IjowLCJibGVuZGVkX2FkX2luZGV4IjowLCJvcmdhbmljc19zaW5jZV9sYXN0X2FkIjowLCJwYWdlX29yZ2FuaWNfY291bnQiOjAsImJsZW5kZWRfb3JnYW5pY19pbmRleCI6MCwicmV0dXJuZWRfYWRfaW5kZXgiOjAsInRvdGFsX2luZGV4IjowfX0",
"has_next_page": true
},
"credits_used": 1
}{
"error": "lat is required and must be a number",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}Facebook Marketplace
Search
Pull Facebook Marketplace listings around any coordinate, with filters for price range, condition, delivery method, listing date, and availability. Use the Location Search endpoint first to grab the lat/lng for the city or region you want to search.
GET
/
v1
/
scrape
/
facebook-marketplace
/
search
Search
💳 1 credit per request
Need a
lat / lng for a city? Run Location
Search first to grab
them.Authorizations
Query Parameters
Search keyword
Example:
"bike"
Latitude for the search location
Example:
30.2677
Longitude for the search location
Example:
-97.7475
Search radius in kilometers
Example:
65
Minimum listing price
Example:
100
Maximum listing price
Example:
500
Number of listings to return
Example:
24
Sort order
Available options:
suggested, distance_ascend, creation_time_descend, price_ascend, price_descend Example:
"creation_time_descend"
Delivery filter
Available options:
all, local_pickup, shipping Example:
"local_pickup"
Condition filter
Available options:
new, used_like_new, used_good, used_fair Example:
"used_good"
Date listed filter
Available options:
all, 1, 7, 30, last_24_hours, last_7_days, last_30_days Example:
"7"
Availability filter
Available options:
available, sold, all Example:
"available"
Opaque pagination cursor returned from the previous response. Pass it back as-is.
Example:
"eyJwZyI6MCwiYjJjIjp7..."
Response
Successful response
Key Response Fields:
data.listings[0].id: Marketplace listing identifierdata.listings[0].url: Direct link to the listing on Facebookdata.listings[0].title: Listing titledata.listings[0].price.amount: Numeric price valuedata.listings[0].price.formatted_amount: Display price string (e.g."£50")data.listings[0].strikethrough_price: Original price before discount, ornulldata.listings[0].location.city/display_name: Listing locationdata.listings[0].primary_photo.url: Primary listing image URLdata.listings[0].is_sold: Whether the item has been solddata.listings[0].delivery_types: Available delivery methods (e.g.IN_PERSON)data.cursor: Opaque token — pass back ascursorto get the next pagedata.has_next_page: Whether more results are available